document.addEventListener('DOMContentLoaded', () => {
  // Smooth scroll for anchor links
  document.querySelectorAll('a[href^="#"]').forEach(anchor => {
    anchor.addEventListener('click', function (e) {
      e.preventDefault();
      document.querySelector(this.getAttribute('href')).scrollIntoView({
        behavior: 'smooth'
      });
    });
  });

  // Dynamic demo preview
  const demoInput = document.querySelector('.demo-input code');
  const demoOutput = document.querySelector('.demo-output .preview');
  
  if (demoInput && demoOutput) {
    demoInput.contentEditable = true;
    demoInput.addEventListener('input', () => {
      const content = demoInput.innerText;
      // Simple parser for demo purposes
      const lines = content.split('\n');
      let html = '';
      lines.forEach(line => {
        if (line.includes('title')) {
          html += `<h1>${line.split('title')[1].trim()}</h1>`;
        } else if (line.includes('p')) {
          html += `<p>${line.split('p')[1].trim()}</p>`;
        }
      });
      demoOutput.innerHTML = html;
    });
  }
});